<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Problems API</title><link rel="stylesheet" type="text/css" href="style.css"><meta name="generator" content="DocBook XSL Stylesheets Vsnapshot"><link rel="home" href="index.html" title="Problems API"><link rel="next" href="pt01.html" title="Part I. D-Bus API Reference"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Problems API</th></tr><tr><td width="20%" align="left"> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="pt01.html">Next</a></td></tr></table><hr></div><div class="book"><div class="titlepage"><div><div><h1 class="title"><a name="index"></a>Problems API</h1></div><div><div class="authorgroup">
		<div class="author"><h3 class="author"><span class="firstname">ABRT Team</span></h3><div class="affiliation">
				<div class="address"><p><br>
					<code class="email">&lt;<a class="email" href="mailto:crash-catcher@lists.fedorahosted.org">crash-catcher@lists.fedorahosted.org</a>&gt;</code><br>
				</p></div>
			</div></div>
		</div></div><div><p class="releaseinfo">
			Problems 0.2
		</p></div><div><p class="copyright">Copyright © 2012, 2015 Red Hat</p></div></div><hr></div><div class="toc"><dl class="toc"><dt><span class="part"><a href="pt01.html">I. D-Bus API Reference</a></span></dt><dd><dl><dt><span class="chapter"><a href="ch01.html">1. Object Paths</a></span></dt><dt><span class="chapter"><a href="ch02.html">2. Interfaces</a></span></dt><dd><dl><dt><span class="refentrytitle"><a href="re01.html">
          <code class="literal">org.freedesktop.Problems2</code>
        </a></span><span class="refpurpose"> — The Problems Service manages all the crashes.</span></dt><dt><span class="refentrytitle"><a href="re02.html">
          <code class="literal">org.freedesktop.Problems2.Entry</code>
        </a></span><span class="refpurpose"> — The Entry represents single problem.</span></dt><dt><span class="refentrytitle"><a href="re03.html">
          <code class="literal">org.freedesktop.Problems2.Session</code>
        </a></span><span class="refpurpose"> — Session objects hold information about identity of clients. A session object is created automatically when a new client makes connection. Clients are treated as an anonymous users until they are authorized in 'Authorize' method.</span></dt><dt><span class="refentrytitle"><a href="re04.html">
          <code class="literal">org.freedesktop.Problems2.Task</code>
        </a></span><span class="refpurpose"> — Represents an long running task</span></dt></dl></dd></dl></dd></dl></div>
	

	

	

</div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="pt01.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top"> </td><td width="20%" align="center"> </td><td width="40%" align="right" valign="top"> Part I. D-Bus API Reference</td></tr></table></div></body></html>
